<?php
$jahrgang=$_COOKIE["jahrgang"];
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'e_korr_verg','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

session_start();

if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
  
  if(!isset($_SESSION['funktion'])){
      $_SESSION["kverg_status"] = 'neu';
  }
  
  if(isset($_GET['edit'])){
   $_SESSION["kverg_status"] = 'edit';
   $vgid = $_GET['edit'];
   $_SESSION["kverg_vgid"] = $vgid;
  }
  
  if($_GET['editende']==1){
  # Editieren ist beendet, als ein update auf einen Datensatz. Dann ist der status wieder Neu, damit wird wieder ein Insert durchgeführt
    $_SESSION["kverg_status"] = 'neu';
  }
  
  # --- Wenn Werte editiert werden ------------
  if($_SESSION["kverg_status"] == 'edit'){
    $result_edit = $db->query("SELECT jahr
                                     , replace(wert,'.',',') wert
                                 FROM prog_vergaberahmen
                                WHERE vgid = $vgid");
                                
    $row_edit = $result_edit->fetch_array();
    $smarty->assign('kverg_startdat_jahr', "$row_edit[jahr]");
    $smarty->assign('kverg_wert', "$row_edit[wert]");
  }
  # --- Wenn Werte editiert werden Ende -------
  
  # --- Gespeicherte Bezüge ausgeben ----------
  
    $query2 = "SELECT vgid
                   , jahr startdat_form
                   , replace(wert,'.',',') wert
                FROM prog_vergaberahmen
               ORDER BY jahr ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
      $value_vg[] = $row2;
    }
    $smarty->assign('table_data2', $value_vg);
  
  
  # --- Gespeicherte Bezüge Ende -----


}

   
if($action == 'save'){
  $startdat = $_POST['jahr1'];
  $wert= str_replace(",",".", $_POST['wert']);

  $modify_date = date("Y-m-d H:i:s");
  
  if($_SESSION["kverg_status"] == 'neu'){
    $result = $db->query("INSERT INTO prog_vergaberahmen (jahr,  wert, modify_date) VALUES ('$startdat', '$wert', '$modify_date')");
  }
  
  if($_SESSION["kverg_status"] == 'edit'){
    $vgid = $_SESSION["kverg_vgid"];
    $result = $db->query("UPDATE prog_vergaberahmen 
                             SET jahr = '$startdat'
                                , wert    = '$wert'
                                , modify_date = '$modify_date'
                           WHERE vgid = $vgid
                         ");
    unset($_SESSION['kverg_vgid']);
  }
  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"2; URL=" . $_SERVER['PHP_SELF'] . "?editende=$editende\">";
}

if($action == 'del'){
    $vgid = $_GET['vgid'];
  
  $result = $db->query("DELETE FROM prog_vergaberahmen 
                         WHERE vgid=$vgid");

  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?editende=$editende\">";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>